package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Requirement;
import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IMyMicroappRequirementService {
    List<MyRequirementListModel> selectOpenList(Long id);

    ResultState<Long> edit(RequirementMicroappPublishModel inputModel);

    List<APIReceiveListModel> selectReceiveList(Long id);

    Requirement selectRequirementById(Long id);

    ResultState<Long> offLine(Requirement requirement);
}
